Hlavní navigace

Firefox bude blokovat i nové verze Java plug-inu

Petr Krčmář

Webový prohlížeč Firefox už nějakou dobu blokuje starší verze Java plug-inu. Nyní Mozilla potvrdila, že se na seznam blokovaných dostanou i nové verze Javy, protože prý „vážně ohrožují bezpečnost, stabilitu či snižují výkon“. Uživatelé tak budou muset javovské objekty na webu ručně aktivovat. Firefox se takto bude chovat i k některým dalším plug-inům.

Podle Mozilly stojí Java za velkým množstvím bezpečnostních problémů na současném webu, takže je potřeba ji zkrotit. Web obsahující applet způsobí zobrazení červeného varování v adresním řádku. Po kliknutí na něj bude moci uživatel ručně Javu pro danou stránku zapnout.

Mozilla se před kritiky hájí tím, že i Google Chrome ve výchozím stavu Javu blokuje a její reaktivace je navíc výrazně složitější než bude ve Firefoxu. Odpůrci ale tvrdí, že běžný uživatel bude zmaten, nevšimne si drobné notifikace a neporozumí tomu, co se po něm vyžaduje. Nakonec tak změna způsobí problémy především vývojářům a administrátorům.

(Zdroj: Slashdot)

Našli jste v článku chybu?